.wf-loading, .wf-loading body {visibility:hidden}
.wf-active body .wf-inactive body {visibility:visible}


.no-js [data-responsive-toggle], .no-js .top-bar, .no-js{ display: none!important; }

[data-responsive-menu] ul { display: none; }



:root {
  --color-primary: #e14b33;
  --color-secondary: #c8bbaa;
  --color-bg: #eeefec;

  --color-primary-hover: #000000;

  --font: 'Source Sans Pro', sans-serif;
  --title-font: le-monde-livre-classic-byol, serif;
  /* Light: 300 */
  /* Regular: 400 */
  /* Medium: 500 */
  /* SemiBold: 600 */
  /* Bold: 700 */

  --menu-height: 100px;
  --top-menu-height: 80px;
  --mobile-menu-height: 50px;

  --transition: all .25s ease-out;
}



/***  Theme Breakpoints
small:   0      - 639px
medium:  640    - 823px
large:   824    - 1024px
xlarge:  1024px - 1439px
xxlarge: 1440px
*/




/* Fontit (ks. graafinen ohjeisto) */

* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/* Common Styles */

/*::selection {
  background: var(--color-1);
}*/

html, body {
  font-family: var(--font);
  overflow-x: hidden;
}

.admin-bar header#masthead {
  margin-top: 32px;
}
.admin-bar .nav-sub-second-mega ul.nav-sub-second {
  margin: 32px 0 0 0;
}


body,input,select,optgroup,textarea {
  font-family: var(--font);
  font-size: 16px;
  font-size: 1em;
  font-style: normal;
  font-weight: 400;
  color: var(--main-dark-grey);
}
a {
  font-style: normal;
  color: inherit;
  -webkit-transition: all .25s ease-out;
  transition: all .25s ease-out;
}

a:focus, a:active, a:visited {
  color: inherit;
}
a:hover {
  color: unset;
}
a:visited {
  color: unset;
}

body, input, select, optgroup, textarea {
    --color: #fff;
}

ul, ol {
  margin: 0 0 1.5rem 1.5rem;
}


/**  General **/

.admin-bar .nav-root { top: 32px; }
.admin-bar li.cell > ul.nav-subroot { top: 112px; }
:focus { outline: none; }


/* Typography */
h1, h2, h3, .entry-subtitle {
  font-family: var(--title-font);
}
h4, h5, h6, p,strong,em,li,th,td {
  font-family: var(--font);
}
p, span, li, div, h1, h2, h3, h4, h5, h6, :before, :after {
  line-height: calc(3ex);
}

h1 {
  font-size: 4rem;
  margin: 4rem 0 2rem 0;
  font-style: normal;
  font-weight: 700;
}
h2 {
  font-size: 2.625rem;
  margin: 4rem 0 1rem 0;
  font-style: normal;
  font-weight: 700;
}
h3 { 
  font-size: 2.1875rem;
  margin: 3.75rem 0 1.875rem 0;
  font-style: normal;
  font-weight: 600;
}
h4 { 
  font-style: normal;
  margin: 3rem 0 1.5rem 0;
  font-size: 1.75rem;
  font-style: normal;
  font-weight: 600;
}
h5, h6 { 
  font-style: normal;
  font-weight: 500;
}
thead th {
  font-size: 1.6rem;
  font-style: normal;
  font-weight: 400;
}
tbody td {
  font-size: 1.25rem;
  font-style: normal;
  font-weight: 400;
}
p {
  font-size: 1.125rem;
  font-style: normal;
  font-weight: 400;
  margin-bottom: 1.5em;
}
b, strong {
  font-style: normal;
  font-weight: 600;
}
ul li {
  font-size: 1.125rem;
  font-style: normal;
  font-weight: 400;
}

blockquote {
  position: relative;
  border: 0;
  margin: 1rem 0;
  padding: 1rem 1.5rem;
}
blockquote:before {
  content: '”';
  position: absolute;
  top: 0;
  left: 0;
  font-size: 250%;
}
blockquote, blockquote p {
  color: inherit;
  font-size: 110%;
}



/* Block Paddings */

.top-padding-none {
  padding-top: 0;
}
.top-padding-narrow {
  padding-top: 4rem;
}
.top-padding-wide {
  padding-top: 8rem;
}
.bottom-padding-none {
  padding-bottom: 0;
}
.bottom-padding-narrow {
  padding-bottom: 4rem;
}
.bottom-padding-wide {
  padding-bottom: 8rem;
}
@media all and (max-width: 1200px) {
  .top-padding-narrow {
    padding-top: 2rem;
  }
  .top-padding-wide {
    padding-top: 4rem;
  }
  .bottom-padding-narrow {
    padding-bottom: 2rem;
  }
  .bottom-padding-wide {
    padding-bottom: 4rem;
  }
}


/* Block Margins */

.no-margin {
  margin: 0 auto;
}
.small-margin {
  margin: 4rem auto;
}
.big-margin {
  margin: 8rem auto;
}



/* Foundation Alterations */

.grid-margin-x-custom {
    margin-left: 8rem;
    margin-right: 8rem;
}



.post, .page {
  margin: 0;
}
main#primary {
  margin-top: 100px;
}
.menu.align-center li a {
  font-size: 18px;
}
.secondary-menu {
  padding-left: 2rem;
}




/* Colors */

.text-light { color: #fff; }
.text-dark { color: var(--color-primary-hover); }

.bg-white { background-color: #fff; }
.bg-beige { background-color: var(--color-bg); }
.bg-color-1 { background-color: var(--color-1); }
.bg-color-2 { background-color: var(--color-2); }



/* Widths */

.width-narrow {
  max-width: 55rem;
  margin: 0 auto;
}
.hero-width-narrow {
  max-width: 55rem;
}
  .text-center .hero-width-narrow {
    margin: 0 auto;
  }
.width-narrow-content {
  max-width: 70rem;
  margin: 0 auto;
}
.width-content {
  max-width: 1300px;
  margin: 0 auto;
}
.width-100 {
  max-width: 100rem;
  margin: 0 auto;
}
.width-max-content {
  max-width: max-content;
  margin: 0 auto;
}



/* Header */

.nav-menu-1, .nav-menu-2, .nav-menu-logo {
  padding-left: 0rem;
  padding-right: 0rem;
}


/* Hero */

header {
  position: relative;
}
header.height-half {
  height: calc(75vh - 100px);
  max-height: 747px;
}
header.height-full {
  height: calc(100vh - 100px);
  max-height: 1200px;
}
.height-full-flow {
  height: 150vh;
  max-height: 1300px;
}
.hero-title {
  position: relative;
}
.hero-flow {
  position: absolute;
  bottom: -2rem;
  width: 100%;
}
.hero-flow svg {
  fill: #fff;
}
.hero-flow img {
  width: 100vw;
}
.fill-white svg {
  fill: #fff;
}
.fill-sand svg {
  fill: #f7f7f7;
}
.bg-mask {
  width: 100%;
  height: 100%;
  z-index: 5;
}
.hero-image {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 1;
}
  .hero-image img {
    object-fit: cover;
    width: 100%;
    height: 100%;
  }
.hero-title-wrapper {
  height: 100%;
  position: relative;
  z-index: 10;
  display: flex;
  align-items: center;
}
.height-full-flow .hero-title-wrapper {
  height: calc(100vh - 144px);
  position: relative;
  max-height: 950px;
}
header.entry-header.no-image {
  background: var(--color-bg);
  padding: 4rem 0 6rem 0;
  text-align: center;
  color: #fff;
  height: calc(75vh - 100px);
  max-height: 450px;
}

.entry-header h1.entry-title,
.entry-header .entry-subtitle {
  line-height: 1.4;
  color: #ffffff;
}
.entry-header.no-image h1.entry-title,
.entry-header.no-image .entry-subtitle {
  line-height: 1.4;
  color: #000000;
}
.entry-header.hero-title-normal h1.entry-title {
  font-size: 70px;
}
.entry-header.hero-title-normal .entry-subtitle {
  font-size: 35px;
}
.entry-header.hero-title-small h1.entry-title {
  font-size: 53px;
}
.entry-header.hero-title-small .entry-subtitle {
  font-size: 26px;
}

@media all and (max-width: 392px) {
  .entry-header .entry-title {
    hyphens: auto;
  }
}




/* Buttons */

.btn {
  border-radius: 3rem;
  border-width: 3px;
  border-style: solid;
  padding: 1.5rem 2.5em 1.5rem 2.5em;
  font-family: var(--font);
  font-size: 1.37rem;
  font-weight: 700;
  letter-spacing: 3px;
  width: max-content;
  max-width: 75rem;
  display: flex;
  align-items: center;
  justify-content: center;
  text-transform: uppercase;
}
@media all and (min-width: 1200px) {
  .btn {
    min-width: 270px;
  }
}
.arrow-svg {
  width: 10px;
  margin-left: 20px;
  -webkit-transition: all .25s ease-out;
  transition: all .25s ease-out;
}
    .btn:hover .arrow-svg {
      transform: translatex(10px);
    }

/* Primary Button */
.btn-primary, a.btn-primary,
.btn-primary:visited, a.btn-primary:visited {
  background: transparent;
  color: #000000;
  border-color: var(--color-primary);
}
  .btn-primary:hover,
  .btn-primary:active,
  .btn-primary:focus {
    background: var(--color-primary);
    color: #ffffff !important;
  }
.btn-primary .arrow-svg {
  fill: #ffffff;
}

/* Secondary Button */
.btn-secondary,
.btn-secondary:visited {
  background: transparent;
  color: #ffffff;
  border-color: #ffffff;
}
  .btn-secondary:hover,
  .btn-secondary:active,
  .btn-secondary:focus {
    background: #ffffff;
    color: #000000;
  }
.btn-secondary .link-arrow .arrow-svg svg {
  fill: #000;
}
  .btn-secondary:hover .link-arrow .arrow-svg svg {
    fill: #fff;
  }



.btn .link-arrow {
  display: inline-flex;
  margin-left: 1rem;
  -webkit-transition: all .25s ease-out;
  transition: all .25s ease-out;
}
.btn:hover .link-arrow {
  transform: translateX(1rem);
}
.btn .link-arrow .arrow-svg {
  width: 1.25rem;
  height: 1.25rem;
}

.btn-bigger {
  background: transparent;
  color: var(--color-primary-hover);
  border: 3px solid var(--color-primary-hover);
  border-radius: 3rem;
  padding: 1.3rem 2.5rem 1.3rem 3.5rem;
  font-family: var(--font);
  font-size: 1.7rem;
  width: max-content;
  max-width: 75rem;
  display: block;
}
.btn-bigger .link-arrow .arrow-svg {
  width: 1.35rem;
  height: 1.35rem;
}



.text-center .btn { 
  margin-left: auto;
  margin-right: auto;
  position: relative;
}
.hero-title-wrapper a.btn { 
  position: relative;
}
.hero-button {
  margin-top: 4rem;
}











/** Breadcrumbs */

.page-breadcrumb {
  margin: 4rem auto;
  text-align: center;
}
.page-ul-breadcrumb {
  list-style: none;
  margin: 0 auto;
  align-items: center;
  display: flex;
  justify-content: center;
}
.page-breadcrumb li {
  font-family: var(--font);
  font-size: 1.125em;
}
.page-breadcrumb li.seperator {
  font-size: 1em;
}
.page-breadcrumb li a {
  font-family: inherit;
  padding: 0;
  margin: 0;
} 
.page-breadcrumb li.item a {
  color: #BFC3C9;
}
.page-breadcrumb li.item a:hover {
  color: var(--color-primary-hover);
}
.page-breadcrumb li.item-current.item {
  color: var(--color-primary-hover);
}
.page-breadcrumb .seperator .arrow-svg {
  width: 30px;
  margin: 0rem 0.5rem;
  height: auto;
}
.page-breadcrumb .seperator .arrow-svg svg {
  max-height: 16px;
}





/************************/
/***** Page Blocks ******/
/************************/


/* Block General */

.page-block .block-title:first-child > * {
  margin-top: 0;
}

.text-block-lead a, .text-block-text a {
  text-decoration: underline;
}

.entry-content {
  margin: 0 auto;
}

.single-post .post-navigation {
  padding-bottom: 4rem;
}



/****** Media Queryt ******/

@media screen and (max-width: 93.750em) { /* < 1500px */

  .width-content {
    margin: 0 4rem;
  }
  .page-breadcrumb {
    margin: 4rem;
  }
  .page-block.bg-gray {
    margin: 0;
  }
}



@media screen and (max-width: 75em) { /* < 1200px */
  h1.entry-title {
    margin-bottom: 1rem;
  }
  .entry-header.hero-title-normal h1.entry-title {
    font-size: 33px;
  }
  .entry-header.hero-title-normal .entry-subtitle {
    font-size: 25px;
  }
  .entry-header.hero-title-small h1.entry-title {
    font-size: 25px;
  }
  .entry-header.hero-title-small .entry-subtitle {
    font-size: 20px;
  }
  
}

@media screen and (max-width: 68.750em) { /* < 1100px */
  .arrow-svg svg {
    max-height: 23px;
  }
  .person-name {
    font-size: 1.5rem;
  }
}

@media screen and (max-width: 62.5em) { /* < 1000px */

  .width-content, .page-block.stock-block {
    margin: 0 2rem;
  }

  .text-block-lead, .font-size-lead.text-block-link a  {
    font-size: 1.5em;
  }

  .page-breadcrumb li, .page-breadcrumb li a {
    font-size: 1em;
  }
  .person-description {
    font-size: 1rem;
  }

}




/* murupolku */

.page-breadcrumb li {
  white-space: nowrap;
}
.page-breadcrumb li:last-child {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}



/* YKSITTÄINEN ARTIKKELINÄKYMÄ */

.single-post .entry-meta {
  color: #fff;
  font-size: 1.6rem;
  font-family: var(--font);
  text-transform: uppercase;
  text-align: center;
  padding-bottom: 1rem;
}

.hero-single {
  height: 50vh;
  min-height: 500px;
  max-height: 1000px;
}
.single-post-mask {
  opacity: 20%;
  background: var(--color-primary-hover);
  position: absolute;
}
.hero-single .entry-title {
  color: #fff;
  text-align: center;
}



/* Pagination */

.nav-links {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
}
.nav-links .nav-name {
  opacity: 0.35;
}
.nav-links .nav-title {
  position: relative;
}
.nav-links .nav-previous {
  max-width: 50%;
}
.nav-links .nav-next {
  max-width: 50%;
  text-align: right;
}
.nav-links .nav-title .arrow-svg {
  position: absolute;
  top: 5px;
  display: inline;
  width: auto;
  height: 16px;
  margin: 0;
  -webkit-transition: all .125s ease-out;
  transition: all .125s ease-out;
}
    .nav-links .nav-previous .nav-title .arrow-svg {
      left: -30px;
      transform: rotate(180deg);
    }
    .nav-links .nav-next .nav-title .arrow-svg {
      right: -30px;
    }




/* Password Protected */

.password-container {
  margin: 12rem 1rem;
  display: flex;
  justify-content: center;
}
.password-container form {
  max-width: 40rem;
}




/* ARTIKKELIEN ARKISTONÄKYMÄ */

.featured-post {
  position: relative;
}
.featured-post-content {
  position: relative;
  display: flex;
  align-items: center;
  padding: 6rem 0;
  z-index: 3;
}
.featured-post .bg-mask {
  position: absolute;
  top: 0;
  background: #00000024;
  z-index: 2;
}
.featured-post-image {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}
.featured-post-image img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}
.featured-post-title {
  margin-top: 0;
  margin-bottom: 0.5rem;
}
.featured-post-excerpt, .featured-post-excerpt p {
  font-size: 1.5rem;
}
.featured-post-excerpt p:last-child {
  margin-bottom: 0;
}
.featured-post-link {
  margin-top: 3rem;
}

.posts-archive {
  margin-top: 1.875rem;
  margin-bottom: 1.875rem;
}
.posts-archive .posts-list .post-item {
  display: flex;
  flex-flow: wrap column;
  justify-content: space-between;
  margin-top: 5rem;
}
.posts-archive .posts-list .post-item-image {
  position: relative;
}
.posts-archive .posts-list .post-item-image .featured-image {
  position: relative;
  width: 100%;
  height: 15vw;
  overflow: hidden;
}
.posts-archive .posts-list .post-item-image .featured-image img {
  position: absolute;
  top: 0;
  left: 0;
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.posts-archive .posts-list .post-item-content .post-meta {
  margin: 0.5rem 0;
}
.posts-archive .posts-list .post-item-content .post-title {
  font-size: 1.5rem;
  margin-top: 0;
}




/******************************/ 
/*********   FOOTER   *********/ 
/******************************/

footer {
  padding: 6rem 0;
  font-family: var(--font);
  color: #000000;
}
.footer-container svg {
  width: 100%;
  height: auto;
  fill: #464646;
}
.footer-column {
  margin-bottom: 4rem;
}


footer p {
  font-family: var(--font);
  font-size: 1rem;
}

footer .link-list a {
  font-family: var(--font);
  font-size: 1rem;
}

footer .link-list-subheading {
  font-family: var(--font);
  font-size: 1.125rem;
  display: block;
  padding-top: 2rem;
}

.footer-link {
  display: block;
  margin-bottom: 1.5em;
}

footer span, footer a {
    padding: 0;
}
footer a:visited {
    color: inherit;
}



footer .thumbnail {
  height: 46px;
  margin-bottom: 2.5rem;
}
footer .socicon .thumbnail {
  margin-bottom: 0;
  max-width: 10rem;
  height: auto;
}
footer .socicon img {
  width: 3.5rem;
  max-width: 100%;
}
.thumbnail {
    width: auto;
    height: 40px;
    border-style: none;
    box-shadow: none;
}




.three-column-footer-contact-form-container {
  background-color: #efefef;
}

.some-wrapper {
  display: inline-flex;
  margin-bottom: 3rem;
}
.some-wrapper > .large-3 {
  width: calc(25% - 1rem);
}
.some-wrapper a {
  margin: 0 0.5rem;
}
.some-wrapper a:hover {
  opacity: 0.5;
}
.socicon img {
  background: #fff;
  border-radius: 50%;
  -webkit-transition: all .125s ease-out;
  transition: all .125s ease-out;
}
.socicon:hover img {
  background: var(--color-primary-hover);
}

.footer-textarea {
  white-space: pre-line;
}



.footer-copyright {
  height: 60px;
  color: #fff;
  display: flex;
  align-items: center;
}
.footer-copyright p {
  margin: 0;
  font-family: var(--font);
  font-size: 1rem;
}



.three-column-footer-contact-form-container p {
  font-size: 1.125rem;
  font-family: var(--font);
}
.three-column-footer-contact-form-container .three-column-footer-contact-form {
  padding: 3.75rem 0;
  margin-right: 0rem;
  margin-left: 0rem;
  margin: 0 auto;
}
.three-column-footer-contact-form-container .three-column-footer-contact-form .footer-center {
  left: 0;
}
footer ul {
  margin: 0;
}
footer ul:first-of-type {
  padding-top: 0;
}
footer .link-list-subheading:first-of-type {
  padding-top: 0;
}
footer .link-list-subheading {
  font-family: var(--font);
}
.link-list li a {
  display: inline-block;
}
footer li {
  list-style: none;
}
footer ul a, footer li a, footer a {
  font-family: var(--font)
}
.menu .button, .menu a {
  padding: .7rem 0rem;
}
.three-column-footer-contact-form-container .three-column-footer-contact-form .footer-center {
  display: block;
}
footer h5 {
  font-size: 1.688rem;
  margin-bottom: 1rem;
  margin-bottom: 3rem;
}
footer ul.link-list {
  padding-top: 0.25rem;
}
footer ul.link-list a {
  font-family: var(--font);
}
footer .footer-subtitle {
  font-family: var(--font);
  font-size: 1.125rem;
  padding-bottom: 0.25rem;
}
footer a:hover {
  text-decoration: underline;
}
span.footer-slogan {
  font-size: 1rem;
  font-family: var(--font);
}





/*****************************************/
/**********                     **********/
/**********    Media Queries    **********/
/**********                     **********/
/*****************************************/


/**********     1500px     **********/

@media screen and (max-width: 93.75em) {

  h1 { font-size: 3rem; margin: 3rem 0; }
  h2 { font-size: 2rem; margin: 2rem 0 1rem 0; }
  h3 { font-size: 1.9rem; margin: 2rem 0 1.25rem 0; }
  h4 { font-size: 1.5rem; margin: 1.75rem 0 1rem 0; }

  p, ul li, ol li {
    font-size: 1rem;
  }

  thead th {
    font-size: 1.25rem;
  }

  .text-block-link a {
    font-size: 1.25rem;
  }

  .btn {
    padding: 0.9rem 2rem 0.9rem 2rem;
    font-size: 1.125rem;
  }

  .download-svg svg {
    width: 2.25rem;
  }

}



/**********     1200px     **********/

@media screen and (max-width: 74.9375em) {

  h1 { font-size: 3rem; margin: 3rem 0; }
  h2 { font-size: 2rem; margin: 2rem 0 1rem 0; }
  h3 { font-size: 1.9rem; margin: 2rem 0 1.25rem 0; }
  h4 { font-size: 1.5rem; margin: 1.75rem 0 1rem 0; }

  p {
    font-size: 1rem;
  }

  thead th {
    font-size: 1.25rem;
  }
  tbody td {
    font-size: 1rem;
  }

  .width-narrow {
    max-width: 45em;
  }

  .single-post .entry-meta {
    font-size: 1.3rem;
  }

  .download-svg svg {
    width: 2rem;
  }

}



/**********     640px   -   1200px     **********/

@media screen and (min-width: 40em) and (max-width: 74.9375em) {
  .grid-margin-x>.medplus-6 {
    width: calc(50% - 1.875rem);
  }
  .some-wrapper > .medplus-2 {
    width: calc(16.66% - 1rem);
    margin: 0 0.5rem;
  }
  
}



/**********     1024px     **********/

@media screen and (max-width: 63.9375em) {

  h1 {
    font-size: 2.5rem;
  }

  .height-full-flow {
    height: 120vh;
    max-height: 1024px;
  }

  ::placeholder {
    font-size: 1.25rem;
  }

  footer li {
    margin-top: 0.5rem;
  }

}



/**********     1000px     **********/

@media screen and (max-width: 62.5em) {

  .width-narrow {
    max-width: 100%;
    margin: 0 2rem;
  }

  thead th {
    font-size: 1rem;
  }
  
}



/**********     639px     **********/

@media screen and (max-width: 39.9375em) {

  .btn {
    border-width: 2px;
  }

  h1, .home h1.entry-title { font-size: 2rem; margin: 2rem 0; }
  h2 { font-size: 1.75rem; margin: 1.75rem 0 0.75rem 0; }
  h3 { font-size: 1.4rem; margin: 1.75rem 0 1rem 0; }
  h4 { font-size: 1.2rem; margin: 1.5rem 0 0.5rem 0; }

  .single-post .entry-meta {
    font-size: 1rem;
  }

  .hero-button {
    margin-top: 2.5rem;
  }
  .button-releases {
    font-size: 1.2em;
    margin: 0.5em 0;
  }

  .width-content {
    margin: 0 2rem;
  }

  .hero-arrow .arrow-svg {
    width: 50px;
    height: 50px;
    border: 3px solid #fff;
  }

  .page-breadcrumb {
    margin: 4rem 2rem;
  }
  .page-ul-breadcrumb {
    flex-wrap: wrap;
  }
  .page-breadcrumb li {
    margin-bottom: 0.25rem;
  }
  .page-breadcrumb .seperator .arrow-svg {
    width: 11px;
    margin: 0 0.75rem;
    height: auto;
  }
  .page-breadcrumb li:last-child {
    max-width: calc(100vw - 4rem);
  }

}